"use strict";
(function ($) {
    $.field_location = function (element, options) {
        var defaults = {
        }
        var plugin = this;
        plugin.settings = {}
        var $element = $(element), 
            element = element;
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
            $element.find('select.list-location').select2();
            $element.find('.select2-selection__arrow').html('<i class="icon-nb-location"></i>')
        };
        plugin.example_function = function () {
        };
        plugin.init();
    }
    $.fn.field_location = function (options) {
        return this.each(function () {
            
            if (undefined == $(this).data('field_location')) {
                var plugin = new $.field_location(this, options);
                $(this).data('field_location', plugin);
            }
        });
    }
})(jQuery);